Debian Bug report logs - #615157
gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable

version graph

Package: gcc-4.6; Maintainer for gcc-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-4.6 is src:gcc-4.6.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sat, 26 Feb 2011 06:45:05 UTC

Severity: important

Found in version gcc-4.6/4.6-20110216-1

Fixed in version gcc-4.6/4.6.1-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sat, 26 Feb 2011 06:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 26 Feb 2011 06:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sat, 26 Feb 2011 00:43:17 -0600
Package: gcc-4.6
Version: 4.6-20110216-1

Hi,

Turning on -Werror so the warnings don't scroll by.

 $ cat test.c
#include <stdio.h>

int main(void)
{
        int x;
        x = printf("hello, world\n");
        return 0;
}
 $
 $ gcc-4.6 -Wall -Werror test.c; echo $?
test.c: In function ‘main’:
test.c:5:6: warning: variable ‘x’ set but not used [-Wunused-but-set-variable]
0
 $ gcc-4.6 -Wunused-but-set-variable -Werror test.c; echo $?
test.c: In function ‘main’:
test.c:5:6: warning: variable ‘x’ set but not used [-Wunused-but-set-variable]
0
 $ gcc-4.6 -Werror=unused-but-set-variable test.c; echo $?
test.c: In function ‘main’:
test.c:5:6: error: variable ‘x’ set but not used [-Werror=unused-but-set-variable]
cc1: some warnings being treated as errors

1

I would have expected all three to error out.

Known problem?
Jonathan 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sat, 26 Feb 2011 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 26 Feb 2011 16:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 615157@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#615157: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sat, 26 Feb 2011 17:41:01 +0100
On 26.02.2011 07:43, Jonathan Nieder wrote:
> Package: gcc-4.6
> Version: 4.6-20110216-1

> I would have expected all three to error out.
>
> Known problem?

yes, explicitly disabled in the package, for a limited time.  If you keep this 
warning enabled, it will result in too many build failures.  Somebody needs to 
scan the successful build logs of a test rebuild for these warnings, file bug 
reports, user-tag them with debian-gcc@lists.debian.org, and after we know what 
needs to be fixed, we can turn this warning on again.

Could you work on filing these reports?

These reports will end up as release critical bug reports for wheezy, so maybe 
start filing these with severity important.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sat, 26 Feb 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 26 Feb 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Matthias Klose <doko@debian.org>
Cc: 615157@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, Debian Release <debian-release@lists.debian.org>
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sat, 26 Feb 2011 16:06:16 -0600
Matthias Klose wrote:

> yes, explicitly disabled in the package, for a limited time.  If you
> keep this warning enabled, it will result in too many build
> failures.  Somebody needs to scan the successful build logs of a
> test rebuild for these warnings, file bug reports, user-tag them
> with debian-gcc@lists.debian.org, and after we know what needs to be
> fixed, we can turn this warning on again.

Sure, given access to some build logs, I'd be happy to start working
through them and filing reports.

> These reports will end up as release critical bug reports for
> wheezy, so maybe start filing these with severity important.

Isn't it already an almost-RC bug (as in, an FTBFS waiting to happen)
for packages to use -Werror rather than more targetted options on
autobuilders?

Thanks.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sun, 27 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 27 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 615157@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sun, 27 Feb 2011 13:01:57 -0600
(-cc: debian-release)
Jonathan Nieder wrote:
> Matthias Klose wrote:

>> yes, explicitly disabled in the package, for a limited time.  If you
>> keep this warning enabled, it will result in too many build
>> failures.  Somebody needs to scan the successful build logs of a
>> test rebuild for these warnings, file bug reports, user-tag them
>> with debian-gcc@lists.debian.org, and after we know what needs to be
>> fixed, we can turn this warning on again.

Lucas, would you be interested in this (archive rebuild with gcc-4.6
as gcc)?  If so, is there anything I can do to help, aside from
looking over the result, writing scripts to categorize failures, and
filing bugs if there is consensus after a report on debian-devel?

> Isn't it already an almost-RC bug (as in, an FTBFS waiting to happen)
> for packages to use -Werror rather than more targetted options on
> autobuilders?

Sorry, that was unproductive of me.  In certain cases (e.g., binutils)
it is worth a failed build now and then to get a reliable result.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sun, 27 Feb 2011 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 27 Feb 2011 19:27:08 GMT) Full text and rfc822 format available.

Message #25 received at 615157@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 615157@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sun, 27 Feb 2011 20:16:32 +0100
On 27/02/11 at 13:01 -0600, Jonathan Nieder wrote:
> (-cc: debian-release)
> Jonathan Nieder wrote:
> > Matthias Klose wrote:
> 
> >> yes, explicitly disabled in the package, for a limited time.  If you
> >> keep this warning enabled, it will result in too many build
> >> failures.  Somebody needs to scan the successful build logs of a
> >> test rebuild for these warnings, file bug reports, user-tag them
> >> with debian-gcc@lists.debian.org, and after we know what needs to be
> >> fixed, we can turn this warning on again.
> 
> Lucas, would you be interested in this (archive rebuild with gcc-4.6
> as gcc)?  If so, is there anything I can do to help, aside from
> looking over the result, writing scripts to categorize failures, and
> filing bugs if there is consensus after a report on debian-devel?

Hi,

I already did a rebuild, and gave the results to Matthias. You might
want to coordinate with him.
The results are available at
http://people.debian.org/~lucas/logs/2011/02/14/gcc/

L.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Sun, 27 Feb 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 27 Feb 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 615157@bugs.debian.org
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sun, 27 Feb 2011 21:47:52 +0100
On 27.02.2011 20:16, Lucas Nussbaum wrote:
> On 27/02/11 at 13:01 -0600, Jonathan Nieder wrote:
>> (-cc: debian-release)
>> Jonathan Nieder wrote:
>>> Matthias Klose wrote:
>>
>>>> yes, explicitly disabled in the package, for a limited time.  If you
>>>> keep this warning enabled, it will result in too many build
>>>> failures.  Somebody needs to scan the successful build logs of a
>>>> test rebuild for these warnings, file bug reports, user-tag them
>>>> with debian-gcc@lists.debian.org, and after we know what needs to be
>>>> fixed, we can turn this warning on again.
>>
>> Lucas, would you be interested in this (archive rebuild with gcc-4.6
>> as gcc)?  If so, is there anything I can do to help, aside from
>> looking over the result, writing scripts to categorize failures, and
>> filing bugs if there is consensus after a report on debian-devel?
> 
> Hi,
> 
> I already did a rebuild, and gave the results to Matthias. You might
> want to coordinate with him.
> The results are available at
> http://people.debian.org/~lucas/logs/2011/02/14/gcc/

this would require the build logs of all the *sucessful* builds from this rebuild.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Mon, 28 Feb 2011 02:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 28 Feb 2011 02:51:12 GMT) Full text and rfc822 format available.

Message #35 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Matthias Klose <doko@debian.org>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 615157@bugs.debian.org
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Sun, 27 Feb 2011 20:48:41 -0600
Matthias Klose wrote:

> this would require the build logs of all the *sucessful* builds from this rebuild.

Indeed, "grep -F '[-Wunused-but-set'" does not dig up anything.

Of 1010 failed packages:

 * 40 failed with
	cpp: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found

   I think cpp is being called by rpcgen in these cases.

 * 39 had missing headers, based on matching against
   /\.h: No such file or directory/.  This includes things like
	/usr/include/unistd.h:227:20: fatal error: stddef.h: No such file

 * 7 had headers that configure considers present but unusable
   (/present but cannot be compiled/).

 * ifd-gempc:
	checking for pcsclite.h... cc -Wall -g -O2 -Wall -fPIC -I. -I../common -DGEMPC=410 -I/usr/include/PCSC   -I../Gem
	cc -Wall -g -O2 -Wall -fPIC -I. -I../common -DGEMPC=410 `pkg-config libpcsclite --cflags`   -c -o ../common/GCdeb
	cc -Wall -g -O2 -Wall -fPIC -I. -I../common -DGEMPC=410 `pkg-config libpcsclite --cflags`   -c -o resetGemPC410.o
	cc -Wall -g -O2 -Wall -fPIC -I. -I../common -DGEMPC=410 -I/usr/include/PCSC   -I../GemPC410   -c -o ifdhandler.o
	no

	FILE MISSING!

 * python-prctl:
	You need to install libc development headers to build this module
	You need to install libcap development headers to build this module

 * python-visual:
	/usr/bin/ld: cannot find -lxcb-render-util

 * 2 tried to use strings as char *
   (/error: invalid conversion from 'const char\*'/)

 * 2 included duplicate typedefs (/redefinition of typedef/).

 * 5 had configure scripts that question the C preprocessor's sanity
   (/fails sanity check/).

 * 5 suffer linking problems I didn't investigate (/undefined reference to/).

 * 4 c++ libraries are missing symbols (/MISSING:/).

 * geordi:
    Couldn't match expected type `Foreign.C.Types.CChar'
           against inferred type `Word8'

 * >= 598 seem to have had build-dependency installability problems,
   based on matching logs against /but it is not going to be installed/.

   Many of these are because the resolver refuses to install gcj,
   gfortran, etc from experimental unless they are mentioned as
   explicit versioned build-dependencies.

 * 129 did not have the right version of the source package available
   (/Can't find source for/);

 * 19 provoked a comparison against an uninitialized value
   (/what():  basic_string::compare/);
   14 of those were due to build-depending on the purely virtual
   libjack0.100.0-dev package.

 * 12 were /Unable to locate package libopensync0-dev/.

 * 14 tried to write .gconf files in ~ (/root.*Permission denied/).

 * gpid tried to write to /usr/src/linux. (/usr/src.*Permission denied/).

 * 11 were terminated for inactivity (/signal TERM/).

 * 16 had undeclared identifiers without missing headers
   (/error:.*undeclared/ or /error:.*not declared/).
   Some of these might be due to missing #includes or feature test
   macros.

 * 2 --- amavisd and hplip --- failed with
	patch: invalid option -- 'U'

 * epiphany-browser produced the cryptic
	dh_girepository: Could not find gir file for Epiphany-2.29.typelib

 * eucalyptus produced the cryptic
	taskdef class org.codehaus.groovy.ant.Groovyc cannot be found

 * archivemail had a debian/rules that does not seem to handle -j well:
	mv debian/archivemail.1 .
	mv: cannot stat `debian/archivemail.1': No such file or directory

	/usr/lib/libgpg-error.a: No such file or directory

 * gpc4.1 redeclares YYSTYPE.

 * installation-guide:
	- updating install-methods.po
	Floating point exception

 * kdebindings is too quiet to explain what's wrong.  But gcc-4.5 fails it, too.

 * levee:
	Looking for cpp (/lib/cpp) (can't run cpp as a pipeline)

 * libgdal-grass:
	debian/rules:18: *** GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin s

 * libogre-perl:
	Ogre.c:40250: error: no matching function for call to 'Ogre::ControllerManager::createGpuProgramTimerParam(Ogre::
	/usr/include/OGRE/OgreControllerManager.h:199: note: candidates are: Ogre::Controller<float>* Ogre::ControllerMan

 * lua-curl:
	getconf: Unrecognized variable `LFS_CFLGAS'

 * meta-kde:
	'Breaks' field, reference to 'kdebase-workspace-dev': error in version: version string is empty

 * monkeysphere:
	##### ssh connection test FAILED. returned: 1, expected: 0

 * mseide:
	build_all.sh: 8: Syntax error: "(" unexpected

 * pbuilder:
	col: Invalid or incomplete multibyte or wide character

 * pgtap, postgis, postgresql-pllua:
	Makefile:49: /usr/lib/postgresql/9.0/lib/pgxs/src/makefiles/pgxs.mk: No such file or directory

 * php-gettext:
	PHP Warning:  require_once(PHP/CodeCoverage/Filter.php): failed to open stream: No such file or directory in /usr /bin/phpunit on line 38

 * plasma-widget-networkmanagement:
	error: cannot fstat file ../network-manager-kde_0.9~svn1175124-1_amd64.deb: No such file or directory

 * psqlodbc:
	cp: cannot stat `debian/temp/usr/lib/odbc': No such file or directory

 * qlandkartegt:
	Could not find GDAL

 * scilab-scimax:
	cp: cannot stat `src/c/libmaxima.so': No such file or directory

 * shotwell:
	undefined reference to `GOMP_loop_dynamic_start'

 * sqlite:
	libtool: install: `libtclsqlite.la' is not a valid libtool archive

 * stgit:
	asciidoc: ERROR: tutorial.txt: line 2: only book doctypes can contain level 0 sections

 * stumpwm:
	stumpwm.texi: No such file or directory

 * win32loader:
	No rule to make target `/usr/lib/grub/i386-pc/g2hdr.bin', needed by `g2ldr'

 * xserver-xorg-video-qxl:
	error: expected specifier-qualifier-list before 'PaintWindowProcPtr'

 * abiword: Bug#604826 (a library transition)
 * blackbox: Bug #614468 (/error:.*should have been declared inside/)
 * cryptsetup: Bug#614530 (suffers from libgpg-error's migration to /lib)
 * di: Bug#614537 (cannot stat 'po/de.mo')
 * eglibc: Bug#612540 (patch: unrecognized option '--unified-reject-files')
 * emile: #533800 (build-depends on gcc-3.4)
 * gnuradio: Bug#573759 (uses prebuilt files in the source package)
 * jifty: Bug#611368 (got: 'image/jpeg; charset=ISO-8859-1')
 * kazehakase: Bug#614449 (#warning libxul SDK was configured with char16_t support, but now building without)
 * kptc: Bug#560443 (error: invalid conversion from 'const char*' to 'char*')
 * libcairo-perl: Bug#613190 (got: 'color')
 * libconfig-model-openssh-perl: Bug#605792 ($got->[13] = '   Group="pres.*"')
 * libemail-abstract-perl: Bug#611365 (got: 'Re: Defect in XBD lround^M')
 * mlton-cross: Bug#591174 (expected accessible network at build time)
 * mmorph: Bug#552881 (mymalloc.c:19: error: conflicting types for 'sys_errlist')
 * nemerle: Bug#536942 ([mono] internal compiler error: got ArgumentException)
 * perl-tk: Bug#613188 (XLib:22: error: conflicting types for 'XKeycodeToKeysym')
 * pgsql-asn1oid: Bug#599725 (pgxs.mk: No such file or directory)
 * php-imlib: Bug#569118 (imlib.c:46: error: duplicate 'static')
 * pperl: Bug#533934: Result: FAIL.
 * pylucene: Bug#571545 (/usr/bin/python: jcc is a package and cannot be directly executed)
 * python-django-threadedcomments: Bug#614535 ([override_dh_auto_test] Error 9)
 * python-jsonrpc2: Bug#614542 (assumes network connected autobuilder)
 * rcalc: Bug#536957 (configure: error: Library requirements (libglade-2.0) not met)
 * sformat: Bug#552873 (mv: cannot stat `...debian/tmp/usr/etc/sformat.dat': No such file)
 * slicer: Bug#614491 (itkConceptChecking.h:681: error: conversion from 'itk::Concept::Detail::Unique)
 * swi-prolog: Bug#610655 (Xdefs.h:47: error: conflicting types for 'Bool')
 * swscanner: Bug#560571 (g++: /usr/lib/.libs/libshp.so: No such file or directory)
 * synfig: Bug#565076 (FTBFS)
 * titantools: Bug#584383 (dynamic STT_GNU_IFUNC symbol `strcmp' with pointer eq...)
 * uuagc: Bug#536905 (Couldn't match kind `*' against `#')
 * vdpau-video: Bug#614485 (error: 'struct VADriverContext' has no member named 'x11_dpy')
 * x11vnc: Bug#610802 (error: 'pointer' redeclared as different kind of symbol)
 * xf86-video-glamo: Bug#614453 (really should not be using -Werror.  Just saying.)
 * xine-lib: Bug#610635 (error: implicit declaration of function 'XvMCFlushSurface')
 * xpaint: Bug#614484 (error: variable 'ImgProcessInfo' has initializer but incomplete type)
 * yaird: Bug#552872 (FTBFS)
 * zkclient: Bug#584378 (cannot find symbol constructor Factory(int))
 * zoneminder: Bug#614493 (error: #error "No location for avutils.h found")

That's from a (non-exhaustive) first pass through the logs.  Next step
is to investigate and file bugs, then filter them out from the file
list and see what is left.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Mon, 28 Feb 2011 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 28 Feb 2011 03:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 615157@bugs.debian.org
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Mon, 28 Feb 2011 04:00:13 +0100
[removing the builds, not commented here]

On 28.02.2011 03:48, Jonathan Nieder wrote:
> Matthias Klose wrote:
> 
>> this would require the build logs of all the *sucessful* builds from this rebuild.
> 
> Indeed, "grep -F '[-Wunused-but-set'" does not dig up anything.
> 
> Of 1010 failed packages:
> 
>  * 40 failed with
> 	cpp: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found
> 
>    I think cpp is being called by rpcgen in these cases.

seen to, didn't investigate yet.  but maybe recheck first with a newer gcc-4.6
build (as uploaded today).

>  * 39 had missing headers, based on matching against
>    /\.h: No such file or directory/.  This includes things like
> 	/usr/include/unistd.h:227:20: fatal error: stddef.h: No such file

Most of these are ObjC builds. I assume Lucas didn't install gobjc-4.6 (and
maybe not gfortran-4.6).

>  * 2 tried to use strings as char *
>    (/error: invalid conversion from 'const char\*'/)

is this with -Werror?  might be worth adding a FAQ how to fix these.

>  * 5 had configure scripts that question the C preprocessor's sanity
>    (/fails sanity check/).

I guess this is the same as the -fuse-linker-plugin error.

>  * 5 suffer linking problems I didn't investigate (/undefined reference to/).

ld --no-add-needed

>  * 4 c++ libraries are missing symbols (/MISSING:/).

symbols mangling

>  * >= 598 seem to have had build-dependency installability problems,
>    based on matching logs against /but it is not going to be installed/.
> 
>    Many of these are because the resolver refuses to install gcj,
>    gfortran, etc from experimental unless they are mentioned as
>    explicit versioned build-dependencies.

right, gcj-4.6 not available.

>  * gpc4.1 redeclares YYSTYPE.

gone.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Mon, 28 Feb 2011 08:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 28 Feb 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 615157@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Matthias Klose <doko@debian.org>, 615157@bugs.debian.org
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Mon, 28 Feb 2011 09:16:46 +0100
On 27/02/11 at 20:48 -0600, Jonathan Nieder wrote:
> Matthias Klose wrote:
> 
> > this would require the build logs of all the *sucessful* builds from this rebuild.
> 
> Indeed, "grep -F '[-Wunused-but-set'" does not dig up anything.

After the rebuild, I did grep for that on all logs, but didn't find
anything. I don't have all logs anymore.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Mon, 28 Feb 2011 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 28 Feb 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #50 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 615157@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#615157: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Mon, 28 Feb 2011 20:58:11 +0100
On 28.02.2011 03:48, Jonathan Nieder wrote:
> Matthias Klose wrote:
> 
>> this would require the build logs of all the *sucessful* builds from this rebuild.
> 
> Indeed, "grep -F '[-Wunused-but-set'" does not dig up anything.

fyi, here is a partial rebuild with gcc-4.6 without the work around applied:

http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110111-gcc-natty.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Tue, 01 Mar 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 01 Mar 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 615157@bugs.debian.org
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Mon, 28 Feb 2011 21:17:03 -0600
(-cc: Lucas)
Matthias Klose wrote:

> fyi, here is a partial rebuild with gcc-4.6 without the work around applied:

Thanks.  For reference, the simplest way I could find to just download
the files that matter is

wget -r -l 1 -H -Dlaunchpad.net -A gz http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110111-gcc-natty.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Thu, 03 Mar 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 03 Mar 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Matthias Klose <doko@debian.org>
Cc: 615157@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable
Date: Wed, 2 Mar 2011 23:53:22 -0600
Matthias Klose wrote:

> fyi, here is a partial rebuild with gcc-4.6 without the work around applied:
> 
> http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110111-gcc-natty.html

A quick "grep -F '[-Wunused'" finds nothing, while "grep -F
'[-Werror=unused-but'" finds 34 packages:

 acpid                libaio                      mutter
 appmenu-gtk          libcrypt-openssl-x509-perl  network-manager
 axis2c               liblauncher                 network-manager-applet
 bamf                 libmaa                      network-manager-pptp
 btrfs-tools          libunique                   rampart
 crash                libvoikko                   trousers
 desktop-webmail      libwps                      u-boot
 elfutils             likewise-open               ubuntuone-client
 freetype             lockfile-progs              window-picker-applet
 ido                  maximus                     xen-3
 indicator-session    mdadm
 jigit                memcached
 
I'll start working from the beginning of the alphabet.

Thanks, Matthias.  




Added blocking bug(s) of 615157: 616306 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 03 Mar 2011 11:45:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Tue, 03 May 2011 09:27:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 09:30:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Mon, 16 May 2011 23:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 16 May 2011 23:51:06 GMT) Full text and rfc822 format available.

Message #71 received at 615157@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: debian-devel@lists.debian.org, 615157@bugs.debian.org
Subject: Using -Werror in CFLAGS for a debian package build
Date: Tue, 17 May 2011 01:31:14 +0200
[Message part 1 (text/plain, inline)]
Hi -devel,

I was working on nbd-server upstream, and so had ran ./configure with
CFLAGS='-Wall -Werror', which I consider good practice when writing C
code.

What I didn't notice immediately was that gcc was emitting some
warnings, but that the -Werror option was not honored for those
warnings. Investigating turned up #615157 (Cc'd): the gcc maintainers
have decided to disable -Werror for some new warnings, because otherwise
it would cause FTBFS bugs in packages that have -Werror set in their
debian/rules file.

IMHO, this is the wrong way to handle such things.

First and foremost, I do not believe that setting -Werror in a
debian/rules file is the best way to maintain a package; -Werror is a
development option which should not be used in a release build (which a
Debian package is). When a package sets -Werror in its debian/rules
file, it *will* FTBFS when the default compiler is changed, while not
necessarily breaking the package itself. I don't think it adds value.

That's a personal opinion, however, and we don't have a policy on this;
so if a maintainer is willing to deal with the fallout of their packages
failing to build when the default compiler is changed, that should
probably be their problem. So long as they are ready to receive FTBFS
bugs and fix them in a timely manner, oh well. It might still be an
annoyance for a user who wants to build a package on a different
compiler than what happens to be the default one, but it's not a fatal
problem. And I can see how using -Werror *might* increase the quality of
a package; some warnings are emitted on only some architectures, so
having -Werror *could* ensure that architecture-specific bugs are
eliminated before they potentially become a problem. It's not totally
silly, but it still seems a bit excessive.

At any rate, all that is undermined if gcc does not turn all warnings
into errors; if a maintainer uses -Werror in a package, that means they
*want* their package to FTBFS on warnings. Reducing the effect of
-Werror would not seem to help these maintainers; presumably they want
the warnings to be fixed in their source anyway, because eventually this
breakage of -Werror will be reverted, and then their packages will FTBFS
again. And while it's a very bad idea to introduce RC bugs in your
reverse dependencies when we're near or in a freeze, I was under the
impression that we're not currently in such a time, which would suggest
that doing so would be acceptable currently.

Additionally, reducing the effect of -Werror in that manner has an
effect on those who use Debian sid as a development environment; put
otherwise, the Debian default compiler is used for more than just Debian
packages, and I don't think we should be mucking with it in this manner.

Thoughts?

-- 
The volume of a pizza of thickness a and radius z can be described by
the following formula:

pi zz a
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Tue, 17 May 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 17 May 2011 09:06:06 GMT) Full text and rfc822 format available.

Message #76 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Wouter Verhelst <wouter@debian.org>, 615157@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#615157: Using -Werror in CFLAGS for a debian package build
Date: Tue, 17 May 2011 11:02:57 +0200
On 05/17/2011 01:31 AM, Wouter Verhelst wrote:
[...]

see
http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=ftbfs-werror;users=debian-gcc@lists.debian.org

"""
This package builds with -Werror, and GCC 4.6 triggers new warnings
which will make the package fail to build.  Currently a Debian patch
just passes
    -Wno-error=unused-but-set-variable and
    -Wno-error=unused-but-set-parameter
to avoid build failures, but this patch will be reverted with the
GCC 4.6.1 release, and the severity of the report will be raised.
"""

The list of packages may contain some false positives.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Tue, 17 May 2011 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 17 May 2011 12:03:14 GMT) Full text and rfc822 format available.

Message #81 received at 615157@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 615157@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Using -Werror in CFLAGS for a debian package build
Date: Tue, 17 May 2011 21:00:50 +0900
Le Tue, May 17, 2011 at 01:31:14AM +0200, Wouter Verhelst a écrit :
> 
> What I didn't notice immediately was that gcc was emitting some
> warnings, but that the -Werror option was not honored for those
> warnings. Investigating turned up #615157 (Cc'd): the gcc maintainers
> have decided to disable -Werror for some new warnings, because otherwise
> it would cause FTBFS bugs in packages that have -Werror set in their
> debian/rules file.

Dear Wouter and Matthias, and everybody,

while I do not question the choice made for GCC 4.6, I also note that after
forwarding a disabled FTBFS bug upstream, I had within a day an answer that he
could not reproduce the failure in an up-to-date Sid virtual machine.  Of
course he may have read the explanations more carefully, but he has a point:
even after fixing the error that stopped the build, it is not straightforward
to make sure that the successful build will still be successful after the GCC
patch is reverted.

Is there an easy way we can suggest to our upstreams to re-enable the errors ?
That may be useful for them to update their code.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Tue, 17 May 2011 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 17 May 2011 15:51:06 GMT) Full text and rfc822 format available.

Message #86 received at 615157@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Charles Plessy <plessy@debian.org>, 615157@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#615157: Using -Werror in CFLAGS for a debian package build
Date: Tue, 17 May 2011 17:47:07 +0200
On 05/17/2011 02:00 PM, Charles Plessy wrote:
>
> Is there an easy way we can suggest to our upstreams to re-enable the errors ?
> That may be useful for them to update their code.

- look out for / grep for the warnings
- use gcc-snapshot
- explicitly pass -Werror=unused-but...




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 27 Jun 2011 16:36:11 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Mon, 27 Jun 2011 16:36:11 GMT) Full text and rfc822 format available.

Message #91 received at 615157-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 615157-close@bugs.debian.org
Subject: Bug#615157: fixed in gcc-4.6 4.6.1-1
Date: Mon, 27 Jun 2011 16:33:33 +0000
Source: gcc-4.6
Source-Version: 4.6.1-1

We believe that the bug you reported is fixed in the latest version of
gcc-4.6, which is due to be installed in the Debian FTP archive:

cpp-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/cpp-4.6_4.6.1-1_amd64.deb
fixincludes_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/fixincludes_4.6.1-1_amd64.deb
g++-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/g++-4.6-multilib_4.6.1-1_amd64.deb
g++-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/g++-4.6_4.6.1-1_amd64.deb
gcc-4.6-base_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-base_4.6.1-1_amd64.deb
gcc-4.6-locales_4.6.1-1_all.deb
  to main/g/gcc-4.6/gcc-4.6-locales_4.6.1-1_all.deb
gcc-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-multilib_4.6.1-1_amd64.deb
gcc-4.6-plugin-dev_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-plugin-dev_4.6.1-1_amd64.deb
gcc-4.6-source_4.6.1-1_all.deb
  to main/g/gcc-4.6/gcc-4.6-source_4.6.1-1_all.deb
gcc-4.6_4.6.1-1.diff.gz
  to main/g/gcc-4.6/gcc-4.6_4.6.1-1.diff.gz
gcc-4.6_4.6.1-1.dsc
  to main/g/gcc-4.6/gcc-4.6_4.6.1-1.dsc
gcc-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gcc-4.6_4.6.1-1_amd64.deb
gcc-4.6_4.6.1.orig.tar.gz
  to main/g/gcc-4.6/gcc-4.6_4.6.1.orig.tar.gz
gccgo-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6-multilib_4.6.1-1_amd64.deb
gccgo-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6_4.6.1-1_amd64.deb
gfortran-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6-multilib_4.6.1-1_amd64.deb
gfortran-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6_4.6.1-1_amd64.deb
gobjc++-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6-multilib_4.6.1-1_amd64.deb
gobjc++-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6_4.6.1-1_amd64.deb
gobjc-4.6-multilib_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6-multilib_4.6.1-1_amd64.deb
gobjc-4.6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6_4.6.1-1_amd64.deb
lib32gcc1-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gcc1-dbg_4.6.1-1_amd64.deb
lib32gcc1_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gcc1_4.6.1-1_amd64.deb
lib32gfortran3-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3-dbg_4.6.1-1_amd64.deb
lib32gfortran3_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3_4.6.1-1_amd64.deb
lib32go0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32go0-dbg_4.6.1-1_amd64.deb
lib32go0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32go0_4.6.1-1_amd64.deb
lib32gomp1-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gomp1-dbg_4.6.1-1_amd64.deb
lib32gomp1_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32gomp1_4.6.1-1_amd64.deb
lib32mudflap0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0-dbg_4.6.1-1_amd64.deb
lib32mudflap0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0_4.6.1-1_amd64.deb
lib32objc3-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32objc3-dbg_4.6.1-1_amd64.deb
lib32objc3_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32objc3_4.6.1-1_amd64.deb
lib32quadmath0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0-dbg_4.6.1-1_amd64.deb
lib32quadmath0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0_4.6.1-1_amd64.deb
lib32stdc++6-4.6-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6-4.6-dbg_4.6.1-1_amd64.deb
lib32stdc++6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6_4.6.1-1_amd64.deb
libgcc1-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgcc1-dbg_4.6.1-1_amd64.deb
libgcc1_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgcc1_4.6.1-1_amd64.deb
libgfortran3-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgfortran3-dbg_4.6.1-1_amd64.deb
libgfortran3_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgfortran3_4.6.1-1_amd64.deb
libgo0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgo0-dbg_4.6.1-1_amd64.deb
libgo0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgo0_4.6.1-1_amd64.deb
libgomp1-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgomp1-dbg_4.6.1-1_amd64.deb
libgomp1_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libgomp1_4.6.1-1_amd64.deb
libmudflap0-4.6-dev_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libmudflap0-4.6-dev_4.6.1-1_amd64.deb
libmudflap0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libmudflap0-dbg_4.6.1-1_amd64.deb
libmudflap0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libmudflap0_4.6.1-1_amd64.deb
libobjc3-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libobjc3-dbg_4.6.1-1_amd64.deb
libobjc3_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libobjc3_4.6.1-1_amd64.deb
libquadmath0-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libquadmath0-dbg_4.6.1-1_amd64.deb
libquadmath0_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libquadmath0_4.6.1-1_amd64.deb
libstdc++6-4.6-dbg_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dbg_4.6.1-1_amd64.deb
libstdc++6-4.6-dev_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dev_4.6.1-1_amd64.deb
libstdc++6-4.6-doc_4.6.1-1_all.deb
  to main/g/gcc-4.6/libstdc++6-4.6-doc_4.6.1-1_all.deb
libstdc++6-4.6-pic_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-pic_4.6.1-1_amd64.deb
libstdc++6_4.6.1-1_amd64.deb
  to main/g/gcc-4.6/libstdc++6_4.6.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615157@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Jun 2011 13:54:04 +0200
Source: gcc-4.6
Binary: gcc-4.6-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.6 gcc-4.6-multilib gcc-4.6-plugin-dev gcc-4.6-hppa64 gcc-4.6-spu g++-4.6-spu gfortran-4.6-spu cpp-4.6 gcc-4.6-locales g++-4.6 g++-4.6-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.6-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg libquadmath0 libquadmath0-dbg lib32quadmath0 lib32quadmath0-dbg lib64quadmath0 lib64quadmath0-dbg libn32quadmath0 libn32quadmath0-dbg gobjc++-4.6 gobjc++-4.6-multilib gobjc-4.6 gobjc-4.6-multilib libobjc3 libobjc3-dbg lib64objc3 lib64objc3-dbg lib32objc3 lib32objc3-dbg libn32objc3 libn32objc3-dbg gfortran-4.6 gfortran-4.6-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg
 libn32gfortran3 libn32gfortran3-dbg gccgo-4.6 gccgo-4.6-multilib libgo0 libgo0-dbg lib64go0 lib64go0-dbg lib32go0 lib32go0-dbg libn32go0 libn32go0-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.6-dev libstdc++6-4.6-pic libstdc++6-4.6-dbg lib32stdc++6-4.6-dbg lib64stdc++6-4.6-dbg libn32stdc++6-4.6-dbg libstdc++6-4.6-doc gcc-4.6-soft-float fixincludes
 gcc-4.6-source
Architecture: source all amd64
Version: 4.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.6    - GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.6    - GNU C++ compiler
 g++-4.6-multilib - GNU C++ compiler (multilib files)
 g++-4.6-spu - SPU cross-compiler (C++ compiler)
 gcc-4.6    - GNU C compiler
 gcc-4.6-base - GCC, the GNU Compiler Collection (base package)
 gcc-4.6-hppa64 - GNU C compiler (cross compiler for hppa64)
 gcc-4.6-locales - GCC, the GNU compiler collection (native language support files)
 gcc-4.6-multilib - GNU C compiler (multilib files)
 gcc-4.6-plugin-dev - Files for GNU GCC plugin development.
 gcc-4.6-soft-float - GCC soft-floating-point gcc libraries (arm)
 gcc-4.6-source - Source of the GNU Compiler Collection
 gcc-4.6-spu - SPU cross-compiler (preprocessor and C compiler)
 gccgo-4.6  - GNU Go compiler
 gccgo-4.6-multilib - GNU Go compiler (multilib files)
 gfortran-4.6 - GNU Fortran 95 compiler
 gfortran-4.6-multilib - GNU Fortran 95 compiler (multilib files)
 gfortran-4.6-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.6 - GNU Objective-C++ compiler
 gobjc++-4.6-multilib - GNU Objective-C++ compiler (multilib files)
 gobjc-4.6  - GNU Objective-C compiler
 gobjc-4.6-multilib - GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32go0   - Runtime library for GNU Go applications (32bit)
 lib32go0-dbg - Runtime library for GNU Go applications (32 bit debug symbols)
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc3 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc3-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32quadmath0 - GCC Quad-Precision Math Library (32bit)
 lib32quadmath0-dbg - GCC Quad-Precision Math Library (32 bit debug symbols)
 lib32stdc++6 - GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64go0   - Runtime library for GNU Go applications (64bit)
 lib64go0-dbg - Runtime library for GNU Go applications (64bit debug symbols)
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc3 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc3-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64quadmath0 - GCC Quad-Precision Math Library  (64bit)
 lib64quadmath0-dbg - GCC Quad-Precision Math Library  (64bit debug symbols)
 lib64stdc++6 - GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgo0     - Runtime library for GNU Go applications
 libgo0-dbg - Runtime library for GNU Go applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.6-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32go0  - Runtime library for GNU Go applications (n32)
 libn32go0-dbg - Runtime library for GNU Go applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc3 - Runtime library for GNU Objective-C applications (n32)
 libn32objc3-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32quadmath0 - GCC Quad-Precision Math Library (n32)
 libn32quadmath0-dbg - GCC Quad-Precision Math Library (n32 debug symbols)
 libn32stdc++6 - GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libobjc3   - Runtime library for GNU Objective-C applications
 libobjc3-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libquadmath0 - GCC Quad-Precision Math Library
 libquadmath0-dbg - GCC Quad-Precision Math Library (debug symbols)
 libstdc++6 - GNU Standard C++ Library v3
 libstdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.6-dev - GNU Standard C++ Library v3 (development files)
 libstdc++6-4.6-doc - GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.6-pic - GNU Standard C++ Library v3 (shared library subset kit)
Closes: 615157 631082 631772
Changes: 
 gcc-4.6 (4.6.1-1) unstable; urgency=low
 .
   * GCC 4.6.1 release.
 .
   [Ludovic Brenta]
   * debian/patches/ada-gnatvsn.diff,
     debian/patches/ada-polyorb-dsa.diff: remove backports, no longer
     needed.
 .
   [ Matthias Klose ]
   * Fix plugin header installation. Closes: #631082.
   * Stop passing -Wno-error=unused-but-set-parameter and
     -Wno-error=unused-but-set-variable if -Werror is present.
     This was a temporary workaround introduced in 4.6.0~rc1-2. Closes: #615157.
   * gcc-4.6-spu: Install the lto plugin. Closes: #631772.
Checksums-Sha1: 
 ca376f34d8aa576ea3fe35de2c871b101e309f54 4187 gcc-4.6_4.6.1-1.dsc
 97dbabbd8666d6811a0e618d7e6215720f45e741 56701944 gcc-4.6_4.6.1.orig.tar.gz
 6fa03d6dba3ea38bf3fb0e06c5326be05535a4bd 5106437 gcc-4.6_4.6.1-1.diff.gz
 ed7d7c2b790f1f9326402b01ec2ba780c57aff43 61676834 gcc-4.6-source_4.6.1-1_all.deb
 c74348b9cec95498033718506cd5b1482aac8392 3714300 libstdc++6-4.6-doc_4.6.1-1_all.deb
 df8528ff0bbaf80aea8e09b7eaac668eaa89ef61 2596220 gcc-4.6-locales_4.6.1-1_all.deb
 bcd0286ff489a398d9fa17c065f21a65011cabc9 131094 gcc-4.6-base_4.6.1-1_amd64.deb
 6eec0e48350a9949a2d884a2c56f853a0d615c80 42844 libgcc1_4.6.1-1_amd64.deb
 113f7968e9b15f855913d43b92742277587ae7c3 93038 libgcc1-dbg_4.6.1-1_amd64.deb
 31e75e8ae3b39e6bea9f5b2947e4cbd21a8f9611 54070 lib32gcc1_4.6.1-1_amd64.deb
 8b01f8a9d19a07218350c6599c4846f144063388 98456 lib32gcc1-dbg_4.6.1-1_amd64.deb
 091ff0487ab734b101e0ee88bfc6bea8eeb8b13c 126000 libquadmath0_4.6.1-1_amd64.deb
 c2fd430abd2dbe02bae48035ce93a577799ffb34 149922 libquadmath0-dbg_4.6.1-1_amd64.deb
 decf0645d15ce29991d47a11c7d8678400c8a793 195268 lib32quadmath0_4.6.1-1_amd64.deb
 eb3ae9dadf01866a2218be397093e3f566bb2b71 169412 lib32quadmath0-dbg_4.6.1-1_amd64.deb
 754c7ee6ae931d223672fcecc3f16f8bac3d5377 25708 libgomp1_4.6.1-1_amd64.deb
 4b8bd9019e0150cfeab27f0aa3015c18216e866d 62770 libgomp1-dbg_4.6.1-1_amd64.deb
 980be48c39c8ebe3ad20ae37019579b715d32da2 28416 lib32gomp1_4.6.1-1_amd64.deb
 cc4c8861e7c851ee9c0742ece1cf07f420717968 62728 lib32gomp1-dbg_4.6.1-1_amd64.deb
 b9d309e73c8e30316bd5aa5124198a2f9577b36b 4784852 cpp-4.6_4.6.1-1_amd64.deb
 bc61c14bdbaba3b04f59c99b6feb03eacae59fe8 65428 fixincludes_4.6.1-1_amd64.deb
 111ba65e8e93b80a83dbc877f6e2b3868adc9ed1 218698 libmudflap0-4.6-dev_4.6.1-1_amd64.deb
 9717db3cae7847ddf945167a1ac0e6d47697c6ab 97790 libmudflap0_4.6.1-1_amd64.deb
 5594efadceeaa80dc3bdd552f8bb89f65c3d88c1 133534 libmudflap0-dbg_4.6.1-1_amd64.deb
 3e868611bde5aeb850cbc9eb609c3002224f9ff4 88036 lib32mudflap0_4.6.1-1_amd64.deb
 0a706d7fa06c261aa978273b7d75650b4a6d0f31 118442 lib32mudflap0-dbg_4.6.1-1_amd64.deb
 b1b2b8119b443bab6082bf29480e38bbe9505317 870 gobjc++-4.6-multilib_4.6.1-1_amd64.deb
 09ba2d2102991e3f2c7a3e258a8026ae368228ba 5168308 gobjc++-4.6_4.6.1-1_amd64.deb
 587ea7a9f65eb7d0bb8a6ccdc33d5612ddf4ec0e 199654 gobjc-4.6-multilib_4.6.1-1_amd64.deb
 1adcabc74f36e1ae0a67599e310dc43829d88a74 5021452 gobjc-4.6_4.6.1-1_amd64.deb
 cfc606e1563a860928d64ab7e9126565a5f4ef2b 184740 libobjc3_4.6.1-1_amd64.deb
 3c5bcfc88061a7cb6320b1826d32043712452c7e 362810 libobjc3-dbg_4.6.1-1_amd64.deb
 b78d15976649cb0e095e2474a301465b23821d16 183178 lib32objc3_4.6.1-1_amd64.deb
 5e25fa0024379d86d0f871cac37569d90154a361 333032 lib32objc3-dbg_4.6.1-1_amd64.deb
 3d1979b2c00f01abebfeda36bcdbd9b10ac83664 2308416 libgo0_4.6.1-1_amd64.deb
 ebf66c0d434ff68d62c8616f152d69a6d6bf5de8 2047688 libgo0-dbg_4.6.1-1_amd64.deb
 0f81985a8821f31f9dbf3a532dbe257cb76b0d9b 2104794 lib32go0_4.6.1-1_amd64.deb
 43d5996e0d8052fec6a8d518e6179237466f08c1 1574254 lib32go0-dbg_4.6.1-1_amd64.deb
 6da25830e894bb5294364041e751ba5f853a7e83 8122348 gccgo-4.6_4.6.1-1_amd64.deb
 43974bbeeaab63b5e05b308b628889c99f6cbbde 2803096 gccgo-4.6-multilib_4.6.1-1_amd64.deb
 4bbdd71a65fa7d0d78ab93b697f997f905347763 1011964 g++-4.6-multilib_4.6.1-1_amd64.deb
 1e05a665cd4382ac15bf6ab7b4a6f4b8a8ee1b6f 6835258 g++-4.6_4.6.1-1_amd64.deb
 5d7162068b7da9a909345d110f08bad7a9c1b96c 336832 libstdc++6_4.6.1-1_amd64.deb
 7772a7ad1f82eecd2c461cb5b52cda88598b6972 351852 lib32stdc++6_4.6.1-1_amd64.deb
 61b8dbc06229146152c9799f0cd64c341474ba30 6703504 lib32stdc++6-4.6-dbg_4.6.1-1_amd64.deb
 708cbcd739c626f71a48e6466a4de456a30370d8 1658970 libstdc++6-4.6-dev_4.6.1-1_amd64.deb
 c997f05cdf9494d578799fb59f83d812fbb5f9e7 502362 libstdc++6-4.6-pic_4.6.1-1_amd64.deb
 451e61739d7d1a1840f3ba697b71212b9d7f7cff 4334084 libstdc++6-4.6-dbg_4.6.1-1_amd64.deb
 75bbc426ac9529c31aea948d1da0c87f706da878 358288 libgfortran3_4.6.1-1_amd64.deb
 433069574d3302e7e8ef476a45efd2b33ac692d7 806922 libgfortran3-dbg_4.6.1-1_amd64.deb
 2eba5d9a29d15a09f2370be282578f878e628449 356164 lib32gfortran3_4.6.1-1_amd64.deb
 33b94e9ae517d203648322a536b153a55e1d13c5 639588 lib32gfortran3-dbg_4.6.1-1_amd64.deb
 8dc84426af94bfa8b5d3208284681e99037f918f 404828 gfortran-4.6-multilib_4.6.1-1_amd64.deb
 4d74257279bab6813be8f3f4bf877012800a8e38 5548078 gfortran-4.6_4.6.1-1_amd64.deb
 a40f78af21d399794c6c52f5d9558d4a6118b2dd 2532580 gcc-4.6-multilib_4.6.1-1_amd64.deb
 7c5f1afd4c3fcff238982d87bc7c42ec346d04c9 839776 gcc-4.6-plugin-dev_4.6.1-1_amd64.deb
 84716be3124c742943e42fa1f2cb552791394961 7326098 gcc-4.6_4.6.1-1_amd64.deb
Checksums-Sha256: 
 41896d3f5b14d242f6fff88641aec7215d386ea675525cb4b560e4e82059b16d 4187 gcc-4.6_4.6.1-1.dsc
 bf0768df9b14204903173eeee2fcc14952199c4e8a74a9faa7234cdc0f61b99b 56701944 gcc-4.6_4.6.1.orig.tar.gz
 ef344101db67da535ee36711fc5dd40d840a7ac37e5e6a15e66c6a510e100cee 5106437 gcc-4.6_4.6.1-1.diff.gz
 fff213b2725455e323924bf691fde07bd065e9219099d67a40d7db4df7c657b9 61676834 gcc-4.6-source_4.6.1-1_all.deb
 b0787fd3d4e03a071fcaa3466aa7b196c7081ba70923322c0ab8f47dd9c35426 3714300 libstdc++6-4.6-doc_4.6.1-1_all.deb
 26cd5245edc34b5549b5bcbda51d3179fdca161ab6535e7570680010bc1ec2d9 2596220 gcc-4.6-locales_4.6.1-1_all.deb
 fd2588c6431115fbe73ff24d754666302576f0f9f658e9350f9da1781054968e 131094 gcc-4.6-base_4.6.1-1_amd64.deb
 dfe522113975624645b330e873399d3426d107c3694d1c4fb36da019010341c2 42844 libgcc1_4.6.1-1_amd64.deb
 f4ccef55080975ab00b29e9cf9f6a9fec2f5c51a46050f55fd6d01f531eab79d 93038 libgcc1-dbg_4.6.1-1_amd64.deb
 9bc92c1a8f986923672d07e6fba5652f869306e3d9872bcae59e6ff21ac46113 54070 lib32gcc1_4.6.1-1_amd64.deb
 e822892a0ce4777e04577e8bdd7061208036a3566b345db1464638b8e88445d5 98456 lib32gcc1-dbg_4.6.1-1_amd64.deb
 5978725fdf4eb6a80464187e5b07b5c3e2a85d7166cdf23d442e721bf18956d9 126000 libquadmath0_4.6.1-1_amd64.deb
 073724e7dcc3d2b302c4176822cf620c6534d891bc666e868881f6efa5e880cb 149922 libquadmath0-dbg_4.6.1-1_amd64.deb
 b690f22461bac48fa131096203081ee0dd97a68931e531ecd8f29c669bba2d88 195268 lib32quadmath0_4.6.1-1_amd64.deb
 a3f5003b7cc59db9d1a50659c1ee5a1ed2c8c1ba3d197d1cd9a3115997ae072b 169412 lib32quadmath0-dbg_4.6.1-1_amd64.deb
 d8aab832253e8caa1bd330624773eedbf95309cd86ded3b2f8f3ac171609631c 25708 libgomp1_4.6.1-1_amd64.deb
 4a2456e787a1fdfe0c3171ce9ad5c201800c966d74c763c380f82318d88816a0 62770 libgomp1-dbg_4.6.1-1_amd64.deb
 2676cdc35b552ff80a22a553afe72737496f641a1d8184ec9ac20bd18d603504 28416 lib32gomp1_4.6.1-1_amd64.deb
 17af8cbd87bf267239f72a26d9990021a1e8960cbb85cbcc96baeef45e275ae8 62728 lib32gomp1-dbg_4.6.1-1_amd64.deb
 9a3ec989526ddca532f168fa3805557cab2f445382aa7faef91f83633ad197b1 4784852 cpp-4.6_4.6.1-1_amd64.deb
 ff362d1d20d5f52c94d73290a1a98710d3c52ae59b6ed0edb6e141273691186f 65428 fixincludes_4.6.1-1_amd64.deb
 794981c679c26f1177b0bc8b6e0ccfe0cbb8fd84679c74addde810b38be0a247 218698 libmudflap0-4.6-dev_4.6.1-1_amd64.deb
 cda974b6a6b9beddf9e7f81d0da4a171a37139820cb9fa20a24572ca0d7f38ad 97790 libmudflap0_4.6.1-1_amd64.deb
 6058bbfa37ae5e8c2f1e3d27cfe410886cf9c6e8864cf29186c164fc6c7da479 133534 libmudflap0-dbg_4.6.1-1_amd64.deb
 d5145fb737ed724e91259e15947fa2409f7ae79877dd5dc39d6021782ee5c85b 88036 lib32mudflap0_4.6.1-1_amd64.deb
 d4b40b0de820ea63998edf1144b088dacc52fd0fe532ef5f7e8ae2b60aa4676d 118442 lib32mudflap0-dbg_4.6.1-1_amd64.deb
 915d7eaa8c1f74e60e9a81d00a1587fc69981aa35c83c7a11a2119a12a69c345 870 gobjc++-4.6-multilib_4.6.1-1_amd64.deb
 6bc895c623e151a29d36d67e002e3c432cca8a2ee6204afad248a196fc0b4bf0 5168308 gobjc++-4.6_4.6.1-1_amd64.deb
 bda2dd445bb706207e17d815432c2a6940c6988731e03e2dc940febf468efa95 199654 gobjc-4.6-multilib_4.6.1-1_amd64.deb
 82bb5c48df992e8798e5615e51c309f30d8563d91026bc734badcd3e4b3dea57 5021452 gobjc-4.6_4.6.1-1_amd64.deb
 08db4fdbf8a46450f9e81351c6030e4966c807b08cf4deb207bb763b54177ce8 184740 libobjc3_4.6.1-1_amd64.deb
 6718f1746aed12c17784a95287c9e8cb3daa49e63ae8ef397d5932049510e434 362810 libobjc3-dbg_4.6.1-1_amd64.deb
 382e8f44870bd0fd9608319e8bbc68e32ef3616bb0df5507ce6d2a6d7d417c39 183178 lib32objc3_4.6.1-1_amd64.deb
 5bd1c31b3dcc2442a094370df1bb53cd156aaba254feb331e340dde07c76f073 333032 lib32objc3-dbg_4.6.1-1_amd64.deb
 911f69b3ed62dc7c2d581ead86447793bb9573a3bba910fc866babd7e7c5e306 2308416 libgo0_4.6.1-1_amd64.deb
 4798915c76560b78d5ea270ea1ceec1b13ef55f13742a1ae01cba2bb95c0f527 2047688 libgo0-dbg_4.6.1-1_amd64.deb
 4afee4a81a0cfe43a016923c6f52d22a2600142c73705167893a4a49a163e662 2104794 lib32go0_4.6.1-1_amd64.deb
 53bbaeba9641c537ef9e36a3925e12d714e8096f89014f160d18f6f45ef242f8 1574254 lib32go0-dbg_4.6.1-1_amd64.deb
 a0c9bafc561ec5573da6072fa66d84161efacd6cb5172f276b5e07c39d1454bb 8122348 gccgo-4.6_4.6.1-1_amd64.deb
 e3fd9723af51aba164b8ad2a36e5bff27f50699821228a3bda730b52302913f0 2803096 gccgo-4.6-multilib_4.6.1-1_amd64.deb
 ebdc13e04f482b086bff4e3384a5bc77b093646fe00453fadc10dc3ce66cbe3f 1011964 g++-4.6-multilib_4.6.1-1_amd64.deb
 b916bc7dc4c42876bc96322731b38b35f7d9818a9075e8b7371b567c0528d887 6835258 g++-4.6_4.6.1-1_amd64.deb
 842d4072bafee2ae5f871e49d6923ba76ce86e30134b060918d4851671cea379 336832 libstdc++6_4.6.1-1_amd64.deb
 fdae3836c02efea25da98591c7279300ac35fdbbc2e04de96d393154716bc58d 351852 lib32stdc++6_4.6.1-1_amd64.deb
 b676422adc3bc8fbdf1e0f2eecda96b6ed7d90430f5cba7baf151140867d7a3f 6703504 lib32stdc++6-4.6-dbg_4.6.1-1_amd64.deb
 2338140124ea238e7d73f0719df4d74164d2c4c504a09e756e7f288d6e706b91 1658970 libstdc++6-4.6-dev_4.6.1-1_amd64.deb
 6277a4c211904a8dacbb280e0aca9b6622bb3de5ce265d3db91c7bf007f63ae6 502362 libstdc++6-4.6-pic_4.6.1-1_amd64.deb
 b6569a5ac5d7d7ffb1d90a613dafb83586bc0b07716bb108e88ded1d9f584d8b 4334084 libstdc++6-4.6-dbg_4.6.1-1_amd64.deb
 10b195eb15be03ee91b75756505dcaeadfe1e49a4a90921f092ba4e9dc187975 358288 libgfortran3_4.6.1-1_amd64.deb
 65af24f0162f69e87a0d21bf779abcbfc35a58e3f275fc2005376a0ce0589919 806922 libgfortran3-dbg_4.6.1-1_amd64.deb
 2a1eb27d8fd3b866d331611a4433f5e12f74c38cdac6176fb15d7f665de37a70 356164 lib32gfortran3_4.6.1-1_amd64.deb
 5604c9c0d91827ba5ce6a8c51429f268a8e746b5fe2add63062c986a12d194c4 639588 lib32gfortran3-dbg_4.6.1-1_amd64.deb
 faa8a8314f042ce1acedcc39b7c6d1b76ec3bef6b0479caa0a8f38d7918d5adb 404828 gfortran-4.6-multilib_4.6.1-1_amd64.deb
 cc2a8856fb4f63190cdfd1d2a27e491d9d9883c641232b8dff55f414921f933f 5548078 gfortran-4.6_4.6.1-1_amd64.deb
 72e86c4be6917510c29ae86c4bd6205a9f4f3a1b5d128bde0c0ad322daf84cea 2532580 gcc-4.6-multilib_4.6.1-1_amd64.deb
 159dd524dc2728b398ab164108402f8413616159138ef89a5ef68a8792aaac4f 839776 gcc-4.6-plugin-dev_4.6.1-1_amd64.deb
 2284a009f3a09908d4f71cdc93dcf93b7f1b709bdd94f6718711a77b64a83764 7326098 gcc-4.6_4.6.1-1_amd64.deb
Files: 
 9bf12e5cd2664634fce05bcc7c5b33b9 4187 devel optional gcc-4.6_4.6.1-1.dsc
 ade8606385156c9b5e6afe07e47b4768 56701944 devel optional gcc-4.6_4.6.1.orig.tar.gz
 1b16069ab9122bb4c704c3200f8bd33b 5106437 devel optional gcc-4.6_4.6.1-1.diff.gz
 ee3185d18e5461106bb973db5d5c50f7 61676834 devel optional gcc-4.6-source_4.6.1-1_all.deb
 4b66fcf12adcbcceef19cf98dfab999c 3714300 doc optional libstdc++6-4.6-doc_4.6.1-1_all.deb
 35501444deff4c57d599ed68de67d93d 2596220 devel optional gcc-4.6-locales_4.6.1-1_all.deb
 30f4e68c8a4b2a1a0a486b7beae43f51 131094 libs required gcc-4.6-base_4.6.1-1_amd64.deb
 196131cd81106e50581b5fab942f98bd 42844 libs required libgcc1_4.6.1-1_amd64.deb
 c1aa4ac380fd2ac4e98a21a60e7cdb82 93038 debug extra libgcc1-dbg_4.6.1-1_amd64.deb
 1aac8ea5c38eb6e9f45a450b1248e72e 54070 libs extra lib32gcc1_4.6.1-1_amd64.deb
 07bc644d07b7339ac147748e5cfe9821 98456 debug extra lib32gcc1-dbg_4.6.1-1_amd64.deb
 53062696f77017a6dfcda8c1e70c2a97 126000 libs optional libquadmath0_4.6.1-1_amd64.deb
 6727809a4f2895360a9f35794147584d 149922 debug extra libquadmath0-dbg_4.6.1-1_amd64.deb
 7e8b75d24cb56f32c4832597493b46bd 195268 libs optional lib32quadmath0_4.6.1-1_amd64.deb
 77bad79a4eb3e71371d1e6e92c28bfe6 169412 debug extra lib32quadmath0-dbg_4.6.1-1_amd64.deb
 b694c8ad1e4a6b1fe21456c32dfc5688 25708 libs optional libgomp1_4.6.1-1_amd64.deb
 319651d137d74e28200a29e233f59f8c 62770 debug extra libgomp1-dbg_4.6.1-1_amd64.deb
 f2738d3ae74449af2ac3cc7370680cf4 28416 libs optional lib32gomp1_4.6.1-1_amd64.deb
 35353120384b75883dcbecb58d286c67 62728 debug extra lib32gomp1-dbg_4.6.1-1_amd64.deb
 2fa7e608e46c5825049f1719faf34945 4784852 interpreters optional cpp-4.6_4.6.1-1_amd64.deb
 bf37b0e4f787fb8c3569baf9c9e4191d 65428 devel optional fixincludes_4.6.1-1_amd64.deb
 35788ac8fb7d9972d71bb0902a377f55 218698 libdevel optional libmudflap0-4.6-dev_4.6.1-1_amd64.deb
 4eb9da01e581331c038515cfdcc1af3b 97790 libs optional libmudflap0_4.6.1-1_amd64.deb
 885cd5c1292864e4590f0448a88ed5b3 133534 debug extra libmudflap0-dbg_4.6.1-1_amd64.deb
 7fb62de7373753f6e1b6cb595a316334 88036 libs optional lib32mudflap0_4.6.1-1_amd64.deb
 48ee5d6980944dacf5725d63cce562d4 118442 debug extra lib32mudflap0-dbg_4.6.1-1_amd64.deb
 3e6492daabe515d75fbf8cb658f7b374 870 devel optional gobjc++-4.6-multilib_4.6.1-1_amd64.deb
 c2fb11bce9861288488117a085e4de04 5168308 devel optional gobjc++-4.6_4.6.1-1_amd64.deb
 6f4221396a1c9f6b25ef47a62f3e382a 199654 devel optional gobjc-4.6-multilib_4.6.1-1_amd64.deb
 9d728517a27bb2185f8140dfd8263bdb 5021452 devel optional gobjc-4.6_4.6.1-1_amd64.deb
 a9aec54524b07e59cfb4769e80a1994b 184740 libs optional libobjc3_4.6.1-1_amd64.deb
 4b11477478b56bb16d5ae1b399293d2f 362810 debug extra libobjc3-dbg_4.6.1-1_amd64.deb
 85f6e149865c7b33e455d07e46c51156 183178 libs optional lib32objc3_4.6.1-1_amd64.deb
 89bb25c90fdb25a84540dd5d46364167 333032 debug extra lib32objc3-dbg_4.6.1-1_amd64.deb
 a0b3835dd2c512e006d8beb1f26e5304 2308416 libs optional libgo0_4.6.1-1_amd64.deb
 a131611bd95310fb2af16ccf08071133 2047688 debug extra libgo0-dbg_4.6.1-1_amd64.deb
 41b1ce0943b9454efab574335f86c3b1 2104794 libs optional lib32go0_4.6.1-1_amd64.deb
 272d420e5a13fd0ead9a558c3d713331 1574254 debug extra lib32go0-dbg_4.6.1-1_amd64.deb
 ace4c88897d7b25bc99649b217b3a225 8122348 devel optional gccgo-4.6_4.6.1-1_amd64.deb
 0071a8b1e98dac72c0a2e1a979d5e57a 2803096 devel optional gccgo-4.6-multilib_4.6.1-1_amd64.deb
 7f0a621584f06dfbb5c0894aac2978f1 1011964 devel optional g++-4.6-multilib_4.6.1-1_amd64.deb
 49b0e5bb0f9a506b9a3c403a65980416 6835258 devel optional g++-4.6_4.6.1-1_amd64.deb
 5c3c284fc4c02a2a350df326f64de7ad 336832 libs required libstdc++6_4.6.1-1_amd64.deb
 c6458db08c39ca12e3500dabaf93eb17 351852 libs extra lib32stdc++6_4.6.1-1_amd64.deb
 1182806b7055a25a824b8f6c09cd4855 6703504 debug extra lib32stdc++6-4.6-dbg_4.6.1-1_amd64.deb
 c326feec7924b968228f50d664654bde 1658970 libdevel optional libstdc++6-4.6-dev_4.6.1-1_amd64.deb
 da04ba3983e6b193b48912df95eca3cf 502362 libdevel extra libstdc++6-4.6-pic_4.6.1-1_amd64.deb
 e64e24549740a67f408d1091ce5145c9 4334084 debug extra libstdc++6-4.6-dbg_4.6.1-1_amd64.deb
 b6350aaf2060154611f46e78c6281e53 358288 libs optional libgfortran3_4.6.1-1_amd64.deb
 7ea0c3408e3df2b18bafab22f31514c1 806922 debug extra libgfortran3-dbg_4.6.1-1_amd64.deb
 8b86e1b7171845e954c0703d5978552d 356164 libs optional lib32gfortran3_4.6.1-1_amd64.deb
 e2e0ad61568b5cfae99b719109702192 639588 debug extra lib32gfortran3-dbg_4.6.1-1_amd64.deb
 5487d7e2a70b53e8fb1e11e959bab596 404828 devel optional gfortran-4.6-multilib_4.6.1-1_amd64.deb
 7e33821906f82b675e7984afd123ffbd 5548078 devel optional gfortran-4.6_4.6.1-1_amd64.deb
 ac84279ec86bec31d5a103650961d740 2532580 devel optional gcc-4.6-multilib_4.6.1-1_amd64.deb
 b85b7849c86d28592afd37abf49f8293 839776 devel optional gcc-4.6-plugin-dev_4.6.1-1_amd64.deb
 d73e8c5f45088f69fcbd85117ff2d31e 7326098 devel optional gcc-4.6_4.6.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4IqUwACgkQStlRaw+TLJxN8QCguO45JUgfDzlJM2AoF52TCNNo
xKEAn2iFaVwzQF0yyBMSMK6mHnX4LL3H
=TRYM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#615157; Package gcc-4.6. (Tue, 28 Jun 2011 17:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 28 Jun 2011 17:15:09 GMT) Full text and rfc822 format available.

Message #96 received at 615157@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 615157@bugs.debian.org
Subject: Thank you (Re: gcc-4.6: -Wunused-but-set-variable -Werror does not imply -Werror=unused-but-set-variable)
Date: Tue, 28 Jun 2011 12:12:06 -0500
Matthias Klose wrote:

>    * Stop passing -Wno-error=unused-but-set-parameter and
>      -Wno-error=unused-but-set-variable if -Werror is present.
>      This was a temporary workaround introduced in 4.6.0~rc1-2. Closes: #615157.

Yippee!  Indeed, -Werror works as expected now.  Thanks for your
attention to detail.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Aug 2011 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:57:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.